# -*- coding: utf-8 -*-
"""
    demeter database
    name:hardware_type.py
    author:rabin
"""
from .__load__ import *

class Hardware_type(Model):
	__table__ = 'hardware_type'
	__comment__ = '硬件类型'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='硬件类型ID')
	name = Fields(type='varchar(50)', comment='硬件类型名')
	key = Fields(type='varchar(50)', comment='硬件类型标识', unique=True)
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')